Skip to main content
GET
/
v1
/
users
/
{wallet_address}
/
positions
/
{vault_id}
Get user position in a specific vault
curl --request GET \
  --url https://api.gauntlet.xyz/v1/users/{wallet_address}/positions/{vault_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "metrics": {
      "cost_basis": {
        "native": "<string>",
        "usd": "<string>"
      },
      "pending_deposit_assets": "<string>",
      "pending_redeem_shares": "<string>",
      "realized_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "roi_pct": {
        "native": 123,
        "usd": 123
      },
      "shares_owned": "<string>",
      "total_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "unrealized_pnl": {
        "native": "<string>",
        "usd": "<string>"
      },
      "value": {
        "native": "<string>",
        "usd": "<string>"
      }
    },
    "vault_id": "<string>",
    "wallet_address": "<string>"
  },
  "meta": {
    "refreshed_at": "2023-11-07T05:31:56Z",
    "request_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wallet_address
string
required

Ethereum wallet address

vault_id
string
required

Vault identifier

Response

Single vault position

data
object
required
meta
object
required